/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2018-03-01 10:59:52Z
 *****************************************************************************/

#ifndef __RSCMWEVM_ATTRIBUTES_HEADER
#define __RSCMWEVM_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwevm_doubleQuotedString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rscmwevm_rngExtAtt;
extern RsRangeTable rscmwevm_rngExpectedPower;
extern RsRangeTable rscmwevm_rngUserMargin;
extern RsRangeTable rscmwevm_rngCenterFrequency;
extern RsRangeTable rscmwevm_rngRepMode;
extern RsRangeTable rscmwevm_rngStatCount;
extern RsRangeTable rscmwevm_rngTrigThreshold;
extern RsRangeTable rscmwevm_rngStopCond;
extern RsRangeTable rscmwevm_rngTrigSlope;
extern RsRangeTable rscmwevm_rngTrigTimeout;
extern RsRangeTable rscmwevm_rngFreqOffset;
extern RsRangeTable rscmwevm_rngChannelFilter;
extern RsRangeTable rscmwevm_rngChannelACKFilter;
extern RsRangeTable rscmwevm_rngHalfSlot;
extern RsRangeTable rscmwevm_rngDataModulationType;
extern RsRangeTable rscmwevm_rngPLayerSubtype;
extern RsRangeTable rscmwevm_rngBandClass;
extern RsRangeTable rscmwevm_rngCDPLimit;
extern RsRangeTable rscmwevm_rngOffsetCarrier;
extern RsRangeTable rscmwevm_rngCarrierFreq;
extern RsRangeTable rscmwevm_rngCarrierIndex;
extern RsRangeTable rscmwevm_rngCarrierBandWidth;
extern RsRangeTable rscmwevm_rngMixerLevelOffset;
extern RsRangeTable rscmwevm_rngSpreadingFactor;
extern RsRangeTable rscmwevm_rngCPLimit;
extern RsRangeTable rscmwevm_rngTrigGap;
extern RsRangeTable rscmwevm_rngListModeCount;
extern RsRangeTable rscmwevm_rngRetriggMode;
extern RsRangeTable rscmwevm_rngPowerMode;
extern RsRangeTable rscmwevm_rngObwUsedLimit;
extern RsRangeTable rscmwevm_rngOLTRSequences;
extern RsRangeTable rscmwevm_rngOLTRStepDirection;
extern RsRangeTable rscmwevm_rngOLTRPowerStep;
extern RsRangeTable rscmwevm_rngOLTRMeasurementReferencePowerInterval;
extern RsRangeTable rscmwevm_rngOLTRGuardInterval;
extern RsRangeTable rscmwevm_rngOLTRRepetition;
extern RsRangeTable rscmwevm_rngMultiEvalTriggerOffset;
extern RsRangeTable rscmwevm_rngOLTRInitialLower;
extern RsRangeTable rscmwevm_rngRemoteDisplay;
extern RsRangeTable rscmwevm_rngMultiEvalMeasurementListSegmentCMWSConnector;
extern RsRangeTable rscmwevm_rngMultiEvalMeasurementTriggerDelay;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CACHE;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPY;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSCMWEVM_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSCMWEVM_ATTR_INPUT_EXTERNAL_ATTENUTATION;
extern RsAttrProperties g_RSCMWEVM_ATTR_INPUT_COMBINED_SIGNAL_PATH_SCENARIO;
extern RsAttrProperties g_RSCMWEVM_ATTR_MEASURE_PROTOCOL_TEST;
extern RsAttrProperties g_RSCMWEVM_ATTR_ANALYZER_EXPECTED_NOMINAL_POWER;
extern RsAttrProperties g_RSCMWEVM_ATTR_ANALYZER_USER_MARGIN;
extern RsAttrProperties g_RSCMWEVM_ATTR_ANALYZER_CENTER_FREQUENCY;
extern RsAttrProperties g_RSCMWEVM_ATTR_ANALYZER_BAND_CLASS;
extern RsAttrProperties g_RSCMWEVM_ATTR_ANALYZER_CHANNEL;
extern RsAttrProperties g_RSCMWEVM_ATTR_ANALYZER_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSCMWEVM_ATTR_ANALYZER_REMOTE_DISPLAY;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_CODE_CHANNEL_FILTER;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_CODE_CHANNEL_ACK_DSC_FILTER;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_CODE_CHANNEL_HALF_SLOT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_DATA_CHANNEL_MODULATION_TYPE;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_REPETITION_MODE;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_STOP_CONDITION;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_RESULTS_REJECTION;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_IQ_CROSS_CHECK;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_PHYSICAL_LAYER_SUBTYPE;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_REF_POWER_MODE;
extern RsAttrProperties g_RSCMWEVM_ATTR_QUERY_MULTI_EVAL_MEASUREMENT_SPREADING_FACTOR;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_STATISTIC_COUNT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TIMEOUT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SOURCE;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SLOPE;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_THRESHOLD;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_GAP;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_DELAY;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE_SEGMENT_CMWS_CONNECTOR;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_OFFSET;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_LIST_MODE_STATE;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_LIST_MODE_COUNT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_RETRIGGER_MODE;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_INIT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_ABORT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_STOP;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_CODE_DOMAIN_LIMIT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_CDP_IQ_LEAKAGE_CHECK;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_OBW_LIMIT_CHECK;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_OBW_USED_LIMIT_SET;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_UPPER_CP_LIMIT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_MEASUREMENT_CODE_DWCP_LIMIT;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_SWITCH_CARRIER;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_FREQUENCY_CARRIER;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_OFFSET_CARRIER;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_SELECT_CARRIER;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_SETTING_CARRIER;
extern RsAttrProperties g_RSCMWEVM_ATTR_MULTI_EVAL_BAND_WIDTH_FILTER_CARRIER;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_TIMEOUT;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_NUMBER_OF_SEQUENCES;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_POWER_STEP_DIRECTION;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_POWER_STEP;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_REF_POWER_INTERVAL;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_GUARD_INTERVAL;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_RESULTS_REJECTION;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_REF_POWER_INTERVAL_TIME;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_GUARD_INTERVAL_TIME;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_REPETITION;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_INIT;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_ABORT;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_STOP;
extern RsAttrProperties g_RSCMWEVM_ATTR_OLTR_MEASUREMENT_LIMITS_ILOWER;
extern RsAttrProperties g_RSCMWEVM_ATTR_SYSTEM_VERSION;
extern RsAttrProperties g_RSCMWEVM_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSCMWEVM_ATTR_SYSTEM_ALL_ERRORS;
extern RsAttrProperties g_RSCMWEVM_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSCMWEVM_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsAttrProperties g_RSCMWEVM_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rscmwevm_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rscmwevm_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWEVM_ATTRIBUTES_HEADER */
