/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2018-02-19 14:29:03Z
 *****************************************************************************/

#ifndef __RSCMWEVS_ATTRIBUTES_HEADER
#define __RSCMWEVS_ATTRIBUTES_HEADER

#include "rsidr_core.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwevs_stringToHex_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);
ViStatus rscmwevs_queryNumber_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwevs_stringToHex_WriteCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsRangeTable rscmwevs_rngExternalAttenuation;
extern RsRangeTable rscmwevs_rngOperBandClass;
extern RsRangeTable rscmwevs_rngRFChannel;
extern RsRangeTable rscmwevs_rngFreqOffset;
extern RsRangeTable rscmwevs_rngExpectedPowMode;
extern RsRangeTable rscmwevs_rngAWGNMode;
extern RsRangeTable rscmwevs_rngAWGNLevel;
extern RsRangeTable rscmwevs_rngPowControlBits;
extern RsRangeTable rscmwevs_rngPowStepSize;
extern RsRangeTable rscmwevs_rngLayerChTableIndex;
extern RsRangeTable rscmwevs_rngAckTrafficChan;
extern RsRangeTable rscmwevs_rngLayerAckChanIndex;
extern RsRangeTable rscmwevs_rngLayerChanAType;
extern RsRangeTable rscmwevs_rngLayerAckChanA;
extern RsRangeTable rscmwevs_rngLayerAckChanAIndex;
extern RsRangeTable rscmwevs_rngLayerTrafChDscVal;
extern RsRangeTable rscmwevs_rngLayerTrafChDscGain;
extern RsRangeTable rscmwevs_rngLayerSessionTimeout;
extern RsRangeTable rscmwevs_rngLayerConnectPilotThr;
extern RsRangeTable rscmwevs_rngLayerConnLinkOffs;
extern RsRangeTable rscmwevs_rngLayerMacProtocolDrate;
extern RsRangeTable rscmwevs_rngLayerMacProtMaxSeq;
extern RsRangeTable rscmwevs_rngLayerProtProbeBackoff;
extern RsRangeTable rscmwevs_rngLayerProtSeqBackoff;
extern RsRangeTable rscmwevs_rngLayerProtDrcCover;
extern RsRangeTable rscmwevs_rngLayerProtDrcLength;
extern RsRangeTable rscmwevs_rngLayerProtDrcChGain;
extern RsRangeTable rscmwevs_rngLayerProtAckChGain;
extern RsRangeTable rscmwevs_rngConnections;
extern RsRangeTable rscmwevs_rngQueryConnectionState;
extern RsRangeTable rscmwevs_rngTestApplicationStream;
extern RsRangeTable rscmwevs_rngTestApplicationMode;
extern RsRangeTable rscmwevs_rngPhysicalLayerSubtype;
extern RsRangeTable rscmwevs_rngHandoffChannel;
extern RsRangeTable rscmwevs_rngRXQRepetition;
extern RsRangeTable rscmwevs_rngRXQUpdatePeriod;
extern RsRangeTable rscmwevs_rngRXQStopCondition;
extern RsRangeTable rscmwevs_rngRXQMaxTestPacketsSent;
extern RsRangeTable rscmwevs_rngRXQMaxFrames;
extern RsRangeTable rscmwevs_rngPct;
extern RsRangeTable rscmwevs_rngNetworkRelease;
extern RsRangeTable rscmwevs_rngNetworkSID;
extern RsRangeTable rscmwevs_rngNetworkPNOffset;
extern RsRangeTable rscmwevs_rngNetworkCallLossDetectTime;
extern RsRangeTable rscmwevs_rngNetworkColorCode;
extern RsRangeTable rscmwevs_rngNetworkSubnetMask;
extern RsRangeTable rscmwevs_rngNetworkCountryCode;
extern RsRangeTable rscmwevs_rngNetworkFormat;
extern RsRangeTable rscmwevs_rngNetworkParityBits;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesState;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesInitialAdjust;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesOpenLoopAdjust;
extern RsRangeTable rscmwevs_rngNetworkAccessProcesIncrement;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesPerSequence;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesPreambleLength;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesCycleDuration;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesPreambleLengthSlots;
extern RsRangeTable rscmwevs_rngNetworkAccessProbesSectorAccessMaxRate;
extern RsRangeTable rscmwevs_rngDrcLengthEnh;
extern RsRangeTable rscmwevs_rngActiveScenario;
extern RsRangeTable rscmwevs_rngRF_Carrier_Setting;
extern RsRangeTable rscmwevs_rngRF_Carrier_Channel;
extern RsRangeTable rscmwevs_rngRF_Carrier_Forward_Link_Frequency;
extern RsRangeTable rscmwevs_rngRF_Carrier_Reverse_Link_Frequency;
extern RsRangeTable rscmwevs_rngRF_Carrier_Pilot_Setting;
extern RsRangeTable rscmwevs_rngLayer_Forward_Traffic_Channel_B_Packet_Type;
extern RsRangeTable rscmwevs_rngQuery_Layer_Forward_Traffic_Channel_B_Index;
extern RsRangeTable rscmwevs_rngQuery_Layer_Forward_Traffic_Channel_B_Packet_Size;
extern RsRangeTable rscmwevs_rngQuery_Layer_Forward_Traffic_Channel_B_Data_Rate;
extern RsRangeTable rscmwevs_rngQuery_Layer_Forward_Traffic_Channel_B_Slots;
extern RsRangeTable rscmwevs_rngLayer_ACK_Traffic_Channel_B;
extern RsRangeTable rscmwevs_rngLayer_ACK_Channel_B_Max_Index;
extern RsRangeTable rscmwevs_rngLayer_ACK_Channel_B_Min_Index;
extern RsRangeTable rscmwevs_rngLayer_RMCTAP_Min_Packet_Size;
extern RsRangeTable rscmwevs_rngLayer_RMCTAP_Max_Packet_Size;
extern RsRangeTable rscmwevs_rngHandoff_Carrier_Channel_Target;
extern RsRangeTable rscmwevs_rngHandoff_Forward_Link_Frequency;
extern RsRangeTable rscmwevs_rngHandoff_Reverse_Link_Frequency;
extern RsRangeTable rscmwevs_rngRX_Quality_Evaluation_Decision;
extern RsRangeTable rscmwevs_rngRX_Quality_Select_Carrier_For_Results;
extern RsRangeTable rscmwevs_rngRX_Quality_Reverse_Link_Performance_Max_Frames;
extern RsRangeTable rscmwevs_rngRXQualityReverseMaxPacketsSent;
extern RsRangeTable rscmwevs_rngTimeSource;
extern RsRangeTable rscmwevs_rngApplyTimeAt;
extern RsRangeTable rscmwevs_rngTerminationTarget;
extern RsRangeTable rscmwevs_rngPreferedApplication;
extern RsRangeTable rscmwevs_rngSignalingIPAddress;
extern RsRangeTable rscmwevs_rngPacketDataState;
extern RsRangeTable rscmwevs_rngConfigureLeapSecondCorrection;
extern RsRangeTable rscmwevs_rngNetworkNeighborCellLowThreshold;
extern RsRangeTable rscmwevs_rngHandoffChannelOffset;
extern RsRangeTable rscmwevs_rngRFCarrierChannelOffset;
extern RsRangeTable rscmwevs_rngRXLevelMinLTE;
extern RsRangeTable rscmwevs_rngNetworkTreshServing;
extern RsRangeTable rscmwevs_rngNetworkMaxReselectionTimer;
extern RsRangeTable rscmwevs_rngNetworkLTETreshX;
extern RsRangeTable rscmwevs_rngFadingSimulatorProfile;
extern RsRangeTable rscmwevs_rngFadingSimulatorStartSeed;
extern RsRangeTable rscmwevs_rngFadingSimulatorInsertionLossMode;
extern RsRangeTable rscmwevs_rngFadingSimulatorInsertionLoss;
extern RsRangeTable rscmwevs_rngFadingSimulatorRestartMode;
extern RsRangeTable rscmwevs_rngFadingAWGNBandwidthRatio;
extern RsRangeTable rscmwevs_rngFadingAWGNSignalToNoiseRatio;
extern RsRangeTable rscmwevs_rngTestApplicationPreferedPacketMode;
extern RsRangeTable rscmwevs_rngQueryRXPower;
extern RsRangeTable rscmwevs_rngRXQualityRemoteDisplay;
extern RsRangeTable rscmwevs_rngExternalDAUNetworkSegment;
extern RsRangeTable rscmwevs_rngExternalDAUSubnetNodeID;
extern RsRangeTable rscmwevs_rngMACLayerT2PValueOptimization;
extern RsRangeTable rscmwevs_rngRPCRepetition;
extern RsRangeTable rscmwevs_rngSegmentBits;
extern RsRangeTable rscmwevs_rngPowerControlSegmentLength;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_RANGE_CHECK;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CACHE;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SIMULATE;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_RECORD_COERCIONS;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_INTERCHANGE_CHECK;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPY;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_GROUP_CAPABILITIES;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CHANNEL_COUNT;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_DRIVER_SETUP;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_INSTRUMENT_MODEL;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_OPTIONS_LIST;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_LOGICAL_NAME;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_PRIMARY_ERROR;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SECONDARY_ERROR;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_ERROR_ELABORATION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_VISA_RM_SESSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_IO_SESSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_IO_SESSION_TYPE;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_ENGINE_REVISION;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_OPC_CALLBACK;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsAttrProperties g_RSCMWEVS_RS_ATTR_OPC_TIMEOUT;
extern RsAttrProperties g_RSCMWEVS_ATTR_OUTPUT_EXTERNAL_ATTENUATION;
extern RsAttrProperties g_RSCMWEVS_ATTR_INPUT_EXTERNAL_ATTENUATION;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_SETTING;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_CHANNEL;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_CHANNEL_OFFSET;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_FORWARD_LINK_FREQUENCY;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_REVERSE_LINK_FREQUENCY;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_POWER_LEVEL;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_PILOT_SETTING;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_ACTIVE_ON_AN;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_ASSIGNED_TO_AT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CARRIER_PILOT_AT_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_SIGNALING_UNIVERSAL_UNIT_HYBRID_MODE_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_DATA_END_TO_END_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_OPERATING_BAND_CLASS;
extern RsAttrProperties g_RSCMWEVS_ATTR_RF_CHANNEL;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_FORWARD_LINK_FREQUENCY;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_REVERSE_LINK_FREQUENCY;
extern RsAttrProperties g_RSCMWEVS_ATTR_FREQUENCY_OFFSET;
extern RsAttrProperties g_RSCMWEVS_ATTR_SIGNAL_RF_POWER;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_RF_SIGNAL_OUTPUT_POWER;
extern RsAttrProperties g_RSCMWEVS_ATTR_EXPECTED_POWER_MODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_MANUAL_EXPECTED_POWER;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_RF_SIGNAL_EXPECTED_POWER;
extern RsAttrProperties g_RSCMWEVS_ATTR_AWGN_GENERATOR_MODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_AWGN_GENERATOR_LEVEL;
extern RsAttrProperties g_RSCMWEVS_ATTR_REVERSE_POWER_CONTROL_BITS;
extern RsAttrProperties g_RSCMWEVS_ATTR_REVERSE_POWER_CONTROL_STEP_SIZE;
extern RsAttrProperties g_RSCMWEVS_ATTR_REVERSE_POWER_CONTROL_RUN;
extern RsAttrProperties g_RSCMWEVS_ATTR_POWER_CONTROL_SEGMENT_BITS;
extern RsAttrProperties g_RSCMWEVS_ATTR_POWER_CONTROL_SEGMENT_LENGTH;
extern RsAttrProperties g_RSCMWEVS_ATTR_REVERSE_POWER_CONTROL_REPETITION;
extern RsAttrProperties g_RSCMWEVS_ATTR_TIME_SOURCE;
extern RsAttrProperties g_RSCMWEVS_ATTR_TIME_SYNC_CODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_APPLY_TIME_AT;
extern RsAttrProperties g_RSCMWEVS_ATTR_CONFIGURE_LEAP_SECOND_CORRECTION;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LOCAL_TIME_OFFSET;
extern RsAttrProperties g_RSCMWEVS_ATTR_ACTIVE_SCENARIO;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_FORWARD_TRAFFIC_CHANNEL_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_DATA_RATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_SLOTS;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_LOOPBACK_ENABLE;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_TRAFFIC_CHANNEL;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_TRAFFIC_CHANNEL_MAX_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_TRAFFIC_CHANNEL_MIN_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_ACK_TRAFFIC_CHANNEL_DATA_RATE_MAX;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_ACK_TRAFFIC_CHANNEL_DATA_RATE_MIN;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_FORWARD_TRAFFIC_CHANNEL_A_PACKET_TYPE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_A_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_A_PACKET_SIZE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_A_DATA_RATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_A_SLOTS;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_A_LOOPBACK_ENABLE;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_FORWARD_TRAFFIC_CHANNEL_A_DSC_VALUE;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_FORWARD_TRAFFIC_CHANNEL_A_DSC_GAIN_BASE;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_TRAFFIC_CHANNEL_A;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_ACK_TRAFFIC_CHANNEL_A;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_CHANNEL_A_MAX_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_CHANNEL_A_MIN_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_ACK_CHANNEL_A_DATA_RATE_MAX;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_ACK_CHANNEL_A_DATA_RATE_MIN;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_CHANNEL_A_TERMINATION_TARGET;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_CHANNEL_A_PREFERED_APPLICATION;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_FORWARD_TRAFFIC_CHANNEL_B_PACKET_TYPE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_B_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_B_PACKET_SIZE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_B_DATA_RATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_B_SLOTS;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_FORWARD_TRAFFIC_CHANNEL_B_LOOPBACK_ENABLE;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_TRAFFIC_CHANNEL_B;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LAYER_ACK_TRAFFIC_CHANNEL_B;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_CHANNEL_B_MAX_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_ACK_CHANNEL_B_MIN_INDEX;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_RMCTAP_MIN_PACKET_SIZE;
extern RsAttrProperties g_RSCMWEVS_ATTR_LAYER_RMCTAP_MAX_PACKET_SIZE;
extern RsAttrProperties g_RSCMWEVS_ATTR_SESSION_LAYER_INACTIVE_SESSION_TIMEOUT;
extern RsAttrProperties g_RSCMWEVS_ATTR_SESSION_LAYER_SUBNET_INCLUDED;
extern RsAttrProperties g_RSCMWEVS_ATTR_CONNECTION_LAYER_PILOT_DROP_THRESHOLD;
extern RsAttrProperties g_RSCMWEVS_ATTR_CONNECTION_LAYER_REVERSE_LINK_FRAME_OFFSET;
extern RsAttrProperties g_RSCMWEVS_ATTR_CONNECTION_LAYER_REDIRECT_OVERHEAD_MESSAGES;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_T2P_VALUE_OPTIMIZATION;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_DATA_RATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_MAX_PROBE_SEQUENCES;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_INTER_PROBE_BACKOFF;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_INTER_PROBE_SEQUENCE_BACKOFF;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_MAC_LAYER_ACCES_SESSION_SEED;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_DRC_COVER;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_DRC_LENGTH;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_DRC_CHANNEL_GAIN;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_PROTOCOL_ACK_CHANNEL_GAIN;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_SUBTYPE2_PROTOCOL_DRC_COVER;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_SUBTYPE2_PROTOCOL_DRC_LENGTH;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_SUBTYPE2_PROTOCOL_DRC_CHANNEL_GAIN;
extern RsAttrProperties g_RSCMWEVS_ATTR_MAC_LAYER_SUBTYPE2_PROTOCOL_ACK_CHANNEL_GAIN;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_RELEASE;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SYSTEM_ID;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROPERTIES_PN_OFFSET;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROPERTIES_CALL_LOSS_DETECT_TIME;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROPERTIES_AT_FORWARD_PACKET_ACTIVITY;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROPERTIES_IRAT_ENABLED;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECTOR_COLOR_CODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECTOR_SUBNET_MASK;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECTOR_COUNTRY_CODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECTOR_FORMAT;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ANSI_41_SECTOR_ID;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ANSI_41_NUMBER_OF_PARITY_BITS;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_NETWORK_ANSI_41_OVERALL_ID;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_MANUAL_OVERALL_ID;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBE_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_INITIAL_ADJUST;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_OPEN_LOOP_ADJUST;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_INCREMENT;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_PER_SEQUENCE;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_PREAMBLE_LENGTH;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_CYCLE_DURATION;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_PREAMBLE_LENGTH_SLOTS;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_ACCESS_PROBES_SECTOR_ACCESS_MAXIMUM_RATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECURITY_SECRET_KEY;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECURITY_OPERATOR_VARIANT_KEY;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECURITY_AUTHENTICATION_FIELD;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_SECURITY_SEQUENCE_NUMBER;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_NEIGHBOR_CELL_RX_LEVEL_MIN_LTE;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_NEIGHBOR_CELL_TRESH_SERVING;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_NEIGHBOR_CELL_MAX_RESELECTION_TIMER;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_NEIGHBOR_CELL_LOW_THRESHOLD;
extern RsAttrProperties g_RSCMWEVS_ATTR_NETWORK_NEIGHBOR_CELL_LTE_TRESHX;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_ENABLED;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_PROFILE;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_START_SEED;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_INSERTION_LOSS_MODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_INSERTION_LOSS;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_RESTART_MODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_RESTART;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_CLIPPED_SAMPLES;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_POWER_NOISE;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_POWER_NOISE_TOTAL;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_SIMULATOR_POWER_NOISE_SUM;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_AWGN_ENABLED;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_AWGN_BANDWIDTH_RATIO;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_AWGN_SIGNAL_TO_NOISE_RATIO;
extern RsAttrProperties g_RSCMWEVS_ATTR_FADING_AWGN_NOISE_BANDWIDTH;
extern RsAttrProperties g_RSCMWEVS_ATTR_SIGNALING_TO_LOGGING_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_SIGNALING_MESSAGES_IP_ADDRESS;
extern RsAttrProperties g_RSCMWEVS_ATTR_GENERATOR_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_CONNECTION_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_CONNECTION_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_PACKET_DATA_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_TEST_APPLICATION_STREAM;
extern RsAttrProperties g_RSCMWEVS_ATTR_TEST_APPLICATION_MODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_TEST_APPLICATION_PREFERRED_PACKET_MODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_TEST_APPLICATION_INFO;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_INTER_RAT;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_RX_POWER;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_ACTIVE_APPLICATION;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_NEGOTIATED_MODE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_PHYSICAL_LAYER_SUBTYPE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_UATI;
extern RsAttrProperties g_RSCMWEVS_ATTR_TEST_ESN;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_ESN;
extern RsAttrProperties g_RSCMWEVS_ATTR_TEST_MEID;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_MEID;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_EHRPD;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_PREFERRED_CONTROL_CHANNEL_CYCLE;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_PREFERRED_CONTROL_CHANNEL_STATUS;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_ACTIVE_FORWARD_LINK_CARRIERS;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_ACTIVE_REVERSE_LINK_CARRIERS;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LONG_CODE_MASK_I;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_LONG_CODE_MASK_Q;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_MAX_REVERSE_BANDWIDTH;
extern RsAttrProperties g_RSCMWEVS_ATTR_QUERY_DATA_APPLICATION_UNIT_IP_ADDRESS;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_BAND_CLASS;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_CHANNEL;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_CARRIER_CHANNEL_TARGET;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_CHANNEL_OFFSET;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_FORWARD_LINK_FREQUENCY;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_REVERSE_LINK_FREQUENCY;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_PILOT_ACTIVE_ON_AN;
extern RsAttrProperties g_RSCMWEVS_ATTR_HANDOFF_PILOT_ASSIGNED_TO_AT;
extern RsAttrProperties g_RSCMWEVS_ATTR_INITIATE_HANDOFF;
extern RsAttrProperties g_RSCMWEVS_ATTR_USE_EXTERNAL_DAU;
extern RsAttrProperties g_RSCMWEVS_ATTR_EXTERNAL_DAU_NETWORK_SEGMENT;
extern RsAttrProperties g_RSCMWEVS_ATTR_EXTERNAL_DAU_SUBNET_NODE_ID;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_PER_REPETITION;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_PER_TIMEOUT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_THROUGHPUT_REPETITION;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_THROUGHPUT_TIMEOUT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_UPDATE_PERIOD;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_LINK_STOP_CONDITION;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_FORWARD_MAX_TEST_PACKETS_SENT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_REVERSE_MAX_PACKETS_SENT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_FORWARD_LINK_PERFORMANCE_MAX_FRAMES;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_REVERSE_LINK_PERFORMANCE_MAX_FRAMES;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_SELECT_CARRIER_FOR_RESULTS;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_ASSIGN_VIEWS_FORWARD_LINK_PER;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_ASSIGN_VIEWS_REVERSE_LINK_PER;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_ASSIGN_VIEWS_FORWARD_LINK_PERFORMANCE;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_ASSIGN_VIEWS_REVERSE_LINK_PERFORMANCE;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_MAX_PER_LIMIT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_MIN_CONFIDENCE_LEVEL;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_EVALUATION_DECISION;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_INIT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_ABORT;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_STOP;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_CLEAR;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_REMOTE_DISPLAY;
extern RsAttrProperties g_RSCMWEVS_ATTR_FETCH_RX_QUALITY_FORWARD_LINK_PER_MEASUREMENT_STATUS;
extern RsAttrProperties g_RSCMWEVS_ATTR_FETCH_RX_QUALITY_FORWARD_LINK_PERFORMANCE_MEASUREMENT_STATUS;
extern RsAttrProperties g_RSCMWEVS_ATTR_FETCH_RX_QUALITY_REVERSE_LINK_PER_MEASUREMENT_STATUS;
extern RsAttrProperties g_RSCMWEVS_ATTR_FETCH_RX_QUALITY_REVERSE_LINK_PERFORMANCE_MEASUREMENT_STATUS;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_IP_STATISTIC_STATUS;
extern RsAttrProperties g_RSCMWEVS_ATTR_RX_QUALITY_DATA_RLP_TABLE_RESULTS_STATE;
extern RsAttrProperties g_RSCMWEVS_ATTR_SYSTEM_VERSION;
extern RsAttrProperties g_RSCMWEVS_ATTR_SYSTEM_ERROR;
extern RsAttrProperties g_RSCMWEVS_ATTR_SYSTEM_ALL_ERRORS;
extern RsAttrProperties g_RSCMWEVS_ATTR_SYSTEM_PRESET;
extern RsAttrProperties g_RSCMWEVS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsAttrProperties g_RSCMWEVS_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsRepCap rscmwevs_RsRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsAttrPropertiesPtr rscmwevs_RsAttrPropertiesList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWEVS_ATTRIBUTES_HEADER */
